<?php
	require_once("../../includes/bootstrap.php");
	$sesion=new sesion();
	$academia=bootstrap::initBd($sesion->get('anio'));
	$tipo_usuario=$sesion->getVar('ac_tipo_user');
	$numdocus=$sesion->getVar('ac_identidad');
	$nomgrupo=$sesion->getVar('configuracion.nombres_grupos');

	$sql="SELECT
			view_datos_grupos.nom_sede
			, view_datos_grupos.nom_jornada
			, concat_ws(' ',view_datos_grupos.nom_grado, $nomgrupo) as grupo
			, aca_asignaturas.nom_asi
			, pro_profesores.ide_profesor
			, aca_asignaturasxgrupos.ihs
		FROM
			aca_asignaturasxgrupos
			INNER JOIN pro_profesores 
				ON (aca_asignaturasxgrupos.cod_profesor = pro_profesores.cod_profesor)
			INNER JOIN view_datos_grupos 
				ON (aca_asignaturasxgrupos.cod_grupo = view_datos_grupos.cod_grupo)
			INNER JOIN aca_asignaturas 
				ON (aca_asignaturasxgrupos.cod_asi = aca_asignaturas.cod_asi)
		WHERE pro_profesores.ide_profesor='$numdocus'
		ORDER BY aca_asignaturas.pri_asi ASC";
		//echo $sql;
	
	cache();
?>
<script type="text/javascript">
$(function(){
	<?php if($tipo_usuario!=1): ?>
	$("#btnExpCarAcd.easyui-linkbutton").linkbutton().click(function(){
		$("#objDescargas").attr("src","mod_reportes/materiasxdocente/gen_xsl_rep_carga_academ.php?id="+$("#md_n_txtsedes_rep").val());
	});
	gridRepMatxDoc=$('#list_tbMatxdoc').jqGrid({
		height: 340,
		url:'mod_reportes/materiasxdocente/list_matxdoc.php',
		datatype: "json",
		mtype:'GET',
		rowNum:25,
		rowList:[15,30,50],
		pager: '#pager_matxdoc',
		sortname: 'ide_profesor',
		viewrecords: true,
		sortorder: "asc",
		editurl:'',
		caption:'Carga académica por docente',
		rownumbers:true,	
		grouping:true,
		shrinkToFit:false,
		groupingView:{
			groupField:['nom_ape_pro'],
			groupCollapse:true,
			groupText:['<i><b>{0}</b> Total H. {ihs} </i>'],
			groupSummary : [false,false],
			showSummaryOnHide: false,
			groupColumnShow : [false], 			
		},
		colNames:['Docente','Materia','Sede','Jornada','Curso-Grupo','IHS','Cedula'],
		colModel:[
			{name:'nom_ape_pro',index:'nom_ape_pro',resizable:false,width:5},
			{name:'nom_asi',index:'nom_asi',resizable:false,width:250},
			{name:'nom_sede',index:'nom_sede',width:190},
			{name:'nom_jornada',index:'nom_jornada',width:100},
			{name:'nom_grado',index:'nom_grado',width:150},
			{name:'ihs',index:'ihs',resizable:false,width:50,formatter:'integer', summaryType:'sum'},
			{name:'ide_profesor',index:'ide_profesor',resizable:false,width:80,hidden:true,searchoptions:{searchhidden:true}},
		]
	});
	gridRepMatxDoc.navGrid('#pager_matxdoc',{add:false,edit:false,del:false}, {}, {}, {},{});
	$("#md_n_txtsedes_rep").change(function(){		
		gridRepMatxDoc.setGridParam({
			postData:{
				id:$(this).val()
			}
		}).trigger("reloadGrid");
		if($(this).val()=='0x'){
			gridRepMatxDoc.showCol(["nom_sede"]).setGridWidth(790);
		}else{
			gridRepMatxDoc.hideCol(["nom_sede"]).setGridWidth(595);
		}
		
	})
	<?php 
		else:
			echo '$("#pnc").panel()';
		endif; 
	?>
})
</script>
<?php
	if($tipo_usuario==1):
?>
		<div id="pnc" class="easyui-panel" title="Carga académica" style="width:650px;padding:10px;">	
		<table border="0" cellspacing="0" cellpadding="0" id="dtSo" class="table table-bordered table-condensed table-striped table-hover">
			<thead>
				<tr style="background-color:#CCC">
					<th>Sede</th>
					<th>Jornada</th>
					<th>Grupo</th>
					<th>Asignatura</th>
					<th title="Insensidad Horaria Semanal" style="text-align:right">I.H.S</th>
				</tr>
			</thead>
			<?php
				
				$academia->instruccion($sql);
				while($reg=$academia->extraer_registro()){
					
					echo "<tr>	
						<td>".$reg['nom_sede']."</td>
						<td>".$reg['nom_jornada']."</td>
						<td>".$reg['grupo']."</td>
						<td>".$reg['nom_asi']."</td>
						<td style='text-align:right'>".$reg['ihs']."</td>
					</tr>";
				}
			?>			
		</table>	
		</div>
<?php else: ?>
	<table border="0" cellspacing="3" cellpadding="2">
	<tr>
		<td>
			<div class="tit1"><?php echo $dtsLang['globals']['name_sede'] ?></div>
		<select name="md_n_txtsedes_rep" class="campos" id="md_n_txtsedes_rep" style="width:400px;" >
	      <?php
		  		$sql="SELECT DISTINCT
					adm_sedes.cod_sede,
					lcase(adm_sedes.nom_sede) as nom_sede
					FROM
					adm_sedes
					INNER JOIN aca_grupos ON aca_grupos.cod_sede = adm_sedes.cod_sede
					INNER JOIN aca_asignaturasxgrupos ON aca_asignaturasxgrupos.cod_grupo = aca_grupos.cod_grupo";		
			$academia->instruccion($sql);
			echo "<option value='0x'>Todas</option>";
			while($reg=$academia->extraer_registro()){
				echo "<option value='".$reg['cod_sede']."'>".ucwords($reg['nom_sede'])."</option>";	
			}
			$academia->liberar();
			$academia->cerrar();
					
		?>
	            </select> <a href="#" id="btnExpCarAcd" class="easyui-linkbutton" data-options="iconCls:'icon-excel'">Generar reporte</a></td>
	</tr>
	<tr>
		<td>
		<table id="list_tbMatxdoc"></table>  
		<div id="pager_matxdoc"></div>
		</td>
	</tr>
</table>

	
<?php
	endif;
?>